My Project: TopologyDescriptor Struct Reference

| My Project

Classes | Public Member Functions | Public Attributes | List of all members
TopologyDescriptor Struct Reference

A simple reference to raw topology data for use with TopologyRefinerFactory. More...

`#include <topologyDescriptor.h>`

## Classes
struct | FVarChannel

## Public Member Functions
| TopologyDescriptor ()

## Public Attributes
int | numVertices
int | numFaces
const int * | numVertsPerFace
const Index * | vertIndicesPerFace
int | numCreases
const Index * | creaseVertexIndexPairs
const float * | creaseWeights
int | numCorners
const Index * | cornerVertexIndices
const float * | cornerWeights
int | numHoles
const Index * | holeIndices
bool | isLeftHanded
int | numFVarChannels
const FVarChannel * | fvarChannels

## Detailed Description

A simple reference to raw topology data for use with TopologyRefinerFactory.

TopologyDescriptor is a simple struct containing references to raw topology data used to construct a TopologyRefiner. It is not a requirement but a convenience for use with TopologyRefinerFactory when mesh topology is not available in an existing mesh data structure. It should be functionally complete and simple to use, but for more demanding situations, writing a custom Factory is usually warranted.

Definition at line 49 of file topologyDescriptor.h.

## Constructor & Destructor Documentation

## ◆ TopologyDescriptor()

TopologyDescriptor | ( |  | ) |

## Member Data Documentation

## ◆ cornerVertexIndices

const Index* cornerVertexIndices

Definition at line 62 of file topologyDescriptor.h.

## ◆ cornerWeights

const float* cornerWeights

Definition at line 63 of file topologyDescriptor.h.

## ◆ creaseVertexIndexPairs

const Index* creaseVertexIndexPairs

Definition at line 58 of file topologyDescriptor.h.

## ◆ creaseWeights

const float* creaseWeights

Definition at line 59 of file topologyDescriptor.h.

## ◆ fvarChannels

const FVarChannel* fvarChannels

Definition at line 82 of file topologyDescriptor.h.

## ◆ holeIndices

const Index* holeIndices

Definition at line 66 of file topologyDescriptor.h.

## ◆ isLeftHanded

bool isLeftHanded

Definition at line 68 of file topologyDescriptor.h.

## ◆ numCorners

int numCorners

Definition at line 61 of file topologyDescriptor.h.

## ◆ numCreases

int numCreases

Definition at line 57 of file topologyDescriptor.h.

## ◆ numFaces

int numFaces

Definition at line 51 of file topologyDescriptor.h.

## ◆ numFVarChannels

int numFVarChannels

Definition at line 81 of file topologyDescriptor.h.

## ◆ numHoles

int numHoles

Definition at line 65 of file topologyDescriptor.h.

## ◆ numVertices

int numVertices

Definition at line 51 of file topologyDescriptor.h.

## ◆ numVertsPerFace

const int* numVertsPerFace

Definition at line 54 of file topologyDescriptor.h.

## ◆ vertIndicesPerFace

const Index* vertIndicesPerFace

Definition at line 55 of file topologyDescriptor.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/topologyDescriptor.h